tell application "VoodooPad Pro"
	try
		set the_page_name to current page name
		set current_title to display name of page named the_page_name of document 1
		set current_content to text of page named the_page_name of document 1
		set current_tags_text to my voodooTag(categories of page named the_page_name of document 1)
		-- Retrieving the UUID with Applescript only works in VPP 3.2.1 and later
		-- set x to uuid of page "index" of document 1
		-- Workaround for 3.2.0 graciously provided by Gus Mueller
		set lua_script to "applescriptProperties.output = windowController:document():pageForKey(windowController:key()):uuid()"
		tell window 1
			set the_uuid to use plugin named "Lua Script" with properties {source:lua_script}
			set current_url to "x-voodoopad-item://" & the_uuid
		end tell
	end try
end tell

-- display dialog current_tags_text

set _TempFile1 to ((path to temporary items folder) & "iGTDVPPTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDVPPURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDVPPNote.txt") as text
set _TempFile4 to ((path to temporary items folder) & "iGTDVPPKeywords.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)
my sendToiGTD(_TempFile4, current_tags_text)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD

on voodooTag(vp_tag_list)
	set the_text to ""
	set the_spacer to "," as Unicode text
	repeat with vp_tag in vp_tag_list
		set the_text to the_text & name of vp_tag
		set the_text to the_text & the_spacer
	end repeat
	return the_text
end voodooTag